Subject: Re: [PATCH] http-push: making HTTP push more robust and more user-friendly

From: Junio C Hamano <[email-masked]>
Date: Sun, 13 Jan 2008 15:01:10 -0800

Grégoire Barbier <[email-masked]> writes:

> Fail when info/refs exists and is already locked (avoiding strange behaviour
> and errors, and maybe avoiding some repository corruption).
>
> Warn if the URL does not end with '/' (since 302 is not yet handled)
>
> More explicit error message when the URL or password is not set correctly
> (instead of "no DAV locking support").
>
> DAV locking time of 1 minute instead of 10 minutes (avoid waiting 10 minutes
> for a orphan lock to expire before anyone can do a push on the repo).

I do not remember these discussed on the list, and would like to
see people who do use http-push to comment on these.  Especially
because there is no correct timeout that is good for everybody,
the last item might be contentious.

The second one to add a couple of "goto cleanup" looked
correct.  Acks, people?

Also http-push being unusable without CURL_MULTI was also a news
to me.  Is this something that came up on #git perhaps?

This change means people need curl 7.10 or newer (post May 2003,
that is).  I do not think it is too new a version to require,
but then it makes me wonder if it makes much sense for us to
keep supporting non CURL_MULTI build these days.  Perhaps we
should schedule such a move to drop non MULTI build in the
future?